/*
     $Revision$
     $Id$

     File:        mld_continue.js
*/


var stdm_info = {}; // globaal onthouden
function process_stdm_info(data, stdmChanged) // stdmChanged is optioneel.
{
    window.stdm_info = data;
    if ((window.stdm_info.mld_stdmelding_key||-1) < 0) // Als er geen melding (stdmelding) is geselecteerd dan return.
      return;

    // Zet de discipline indien niet ingevuld.
    if ($("#disc").val() <= 0 || frontend)
    {
      if (typeof sgDisc != "undefined")
      {
        sgDisc.setValue(stdm_info.ins_discipline_key, (stdm_info.ins_srtdiscipline_prefix != null ? stdm_info.ins_srtdiscipline_prefix + "-" : "") + stdm_info.discipline_omschrijving, false /*doonChange*/, true /*checkExist*/);
      }
      else
      {
        // PF: is het niet een beetje illegaal om zo direct de show-waarde te zetten?
        $("#disc_show").val((stdm_info.ins_srtdiscipline_prefix != null ? stdm_info.ins_srtdiscipline_prefix + "-" : "") + stdm_info.discipline_omschrijving);
        $("#disc").val(stdm_info.ins_discipline_key);
      }
    }

    if (stdm_info.freetext == 2 && !$("#opmerk")[0].readOnly)
    { // class required zetten
      $("#opmerk").addClass("required");
    }
    else
    { // class required verwijderen
      $("#opmerk").removeClass("required");
    }
}


function onChangeStdMelding(stdmelding_key)
{
  if (stdmelding_key > 0)
  {
    $.getJSON("./get_mld_info_ajax.asp",
              { req_info: "mld_stdmelding",
                mld_stdmelding_key: stdmelding_key,
                mld_key: mld_key,
                caller_key: melder_key
              },
                callback_stdm_info);
  }
  else
  { // stdmelding is verplicht en moet toch verplicht ingevuld worden, de rest komt dan wel
    // Als vakgroep/productgroep readonly is dan deze leeg maken.
    if ($("#disc_show").attr("readOnly") == "readonly")
    {
      $("#disc_show").val("");
      $("#disc").val(-1);
    }
  }
}


function callback_stdm_info(data, textStatus, jqXHR)
{
    process_stdm_info(data, true); // Tweede parameter stdmChanged is true.
}

function mld_cancel()
{
  FcltMgr.closeDetail(window, { cancel: true } );
}

function onChangeVakgroep(vakgroep_key)
{
  $("#gebouw").removeClass("required");
  $("#verdieping").removeClass("required");
  $("#ruimte").removeClass("required");

  $("#req_r_objs,#r_objs,#r_objs option").removeClass("required");

  //sgStdm.setValue($("#stdm").val(), $("#stdm_show").val(), true, true, null, true);
  // Regel hierboven werkt niet goed omdat CheckExist een get call veroorzaakt om te kijken of waarde bestaat.
  // In de tussentijd verstoort CheckJustOne dit process met een $.getJSON()
  // Dus gewoon Melding leegmaken
  sgStdm.setValue(-1, "", true, false, null, true);
  sgStdm.CheckJustOne();
}




